Edmund Wong <ed at kdtc.net>


r39285 | gstein | 2009-09-13 23:33:57 -0500 (Sun, 13 Sep 2009)

Fixed gen_win.py such that it checks for the presence of the Serf library
(which it does prior to this patch) and also outputs the library version
(which is what this patch does). It also checks if the serf version >=
0.3.0.  If not, ra_serf is not built.

* build/generator/gen_win.py:
  (_get_serf_version): New function to return the serf library version.
  (_find_serf): Added a version check and if a valid version is found,
    ra_serf is built; otherwise, it isn't.  If the version cannot be
    determined, ra_serf will still be built. The user is the informed of
    the results.

Patch by: Edmund Wong <ed at kdtc.net>
Suggested by: danielsh
Patch heavily tweaked by: gstein